function animateGGText() {
    var timing = 3000;
    var ggText = s.text(window.innerWidth * windowShare / 2, window.innerHeight * windowShare / 2, "Well done !").attr({font: '120px Verdana', opacity: 0, fill: "#94da92", stroke: "white", "text-anchor": "middle" });

    setTimeout(function() {

            Snap.animate(0, 1, function(value) { 
                ggText.attr({ 'font-size': value * 100,  opacity: Math.sqrt(value) });
                var t = new Snap.Matrix();
                t.translate(window.innerWidth * windowShare / 2, window.innerHeight * windowShare / 2);
                t.rotate(Math.sin(value * 20) * 0.2);
                t.translate(-window.innerWidth * windowShare / 2, -window.innerHeight * windowShare / 2);
                t.add(ggText.transform().localMatrix);
                ggText.transform(t);
            }, 
            timing, 
            Math.sqrt, 
            function() {
                ggText.remove();
                changeMode(1);
            } );
        }
    ,0)
}

function animateRIPText(country) {
    var timing = 3000;
    var att = {font: '100px Verdana', opacity: 0, fill: "#cb6666", stroke: "white", "text-anchor": "middle" };
    var ripText1 = s.text(window.innerWidth * windowShare / 2, window.innerHeight * windowShare / 2 - 250, "Timeout !").attr(att);
    var ripText2 = s.text(window.innerWidth * windowShare / 2, window.innerHeight * windowShare / 2 - 125, "The answer was :").attr(att);
    var ripText3 = s.text(window.innerWidth * windowShare / 2, window.innerHeight * windowShare / 2, country).attr(att);
    
    var textGroup = s.group(ripText1, ripText2, ripText3);

    setTimeout(function() {

            Snap.animate(0, 1, function(value) { 
                ripText1.attr({opacity: 0.2 + Math.sqrt(value) * 0.8 });
                ripText2.attr({opacity: 0.2 + Math.sqrt(value) * 0.8 });
                ripText3.attr({opacity: 0.2 + Math.sqrt(value) * 0.8 });
                
                var t = new Snap.Matrix();
                t.translate(window.innerWidth * windowShare / 2, window.innerHeight * windowShare / 2 - 125);
                t.rotate(((currentIndexHidden % 2) * 2 - 1) * 0.05);
                t.translate(-window.innerWidth * windowShare / 2, -window.innerHeight * windowShare / 2 + 125);
                t.add(textGroup.transform().localMatrix);
                textGroup.transform(t);
            }, 
            timing, 
            Math.abs, 
            function() {
                ripText1.remove();
                ripText2.remove();
                ripText3.remove();
                changeMode(1);
            } );
        }
    ,100)
}